# Function parseLegacyRelation

- parseLegacyRelation(
  type: any,
  relation: string,
  parentTbl: string,
  ):
  | never[]
  | { path: { inboundKey: string; table: string }[]; type: RelationType }
  | { path: { table: string }[]; type: RelationType }
  | { path: { fkey: string }[]; type: RelationType }

  #### Parameters

  - type: any
  - relation: string
  - parentTbl: string

  #### Returns
  | never[]
  | { path: { inboundKey: string; table: string }[]; type: RelationType }
  | { path: { table: string }[]; type: RelationType }
  | { path: { fkey: string }[]; type: RelationType }

  - Defined in relations/relation_helpers.ts:66